## inflection 1.0

=== DESCRIPTION ===
Package: inflection
Type: Package
Title: Finds the inflection point of a curve
Version: 1.0
Date: 2013-03-19
Author: Demetris T. Christopoulos
Maintainer: Demetris T. Christopoulos <dchristop@econ.uoa.gr>
Description: Implementation of methods Extremum Surface Estimator and
        Extremum Distance Estimator for identifying the inflection
        point of a convex/cocave curve.
License: GPL-2
LazyLoad: yes
Packaged: 2013-03-20 09:47:11 UTC; demetris
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-03-20 13:16:24

## inflection 0.3.1

=== debian/changelog ===
inflection (0.3.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove MIA uploader Ethan Ward <ethan.ward@mycroft.ai>. Closes: #971863
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Tue, 03 May 2022 21:13:34 -0400

inflection (0.3.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Aug 2019 23:44:23 +0500

inflection (0.3.1-1) unstable; urgency=medium

  * Initial Debian packaging (closes: #869104)

 -- Ethan Ward <ethan.ward@mycroft.ai>  Tue, 01 Aug 2017 19:39:04 -0500

=== debian/control ===
Source: inflection
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.0.0
Homepage: https://pypi.python.org/pypi/inflection
Vcs-Git: https://salsa.debian.org/python-team/packages/inflection.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/inflection

Package: python3-inflection
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Port of Ruby on Rails' inflector (Python 3)
 Inflection is a string transformation library. It singularizes and
 pluralizes English words, and transforms strings from CamelCase
 to underscored string.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=inflection
export PYBUILD_BEFORE_TEST=cp {dir}/test_inflection.py {build_dir}
export PYBUILD_AFTER_TEST=rm -f {build_dir}/test_inflection.py

%:
	dh $@ --with python3 --buildsystem=pybuild --test-pytest

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/tests/control ===
Test-Command: set -e
 ; cp test_inflection.py "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest
 ; done
Depends: python3-all,
         python3-inflection,
         python3-pytest

## inflection 1.1

=== DESCRIPTION ===
Package: inflection
Type: Package
Title: Finds the inflection point of a curve
Version: 1.1
Date: 2013-04-04
Author: Demetris T. Christopoulos
Maintainer: Demetris T. Christopoulos <dchristop@econ.uoa.gr>
Description: Implementation of methods Extremum Surface Estimator and
        Extremum Distance Estimator for identifying the inflection
        point of a convex/concave curve.
License: GPL-2
LazyLoad: yes
Packaged: 2013-04-04 13:03:08 UTC; demetris
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-04-04 15:43:10

## inflection 1.2

=== DESCRIPTION ===
Package: inflection
Type: Package
Title: Finds the Inflection Point of a Curve
Version: 1.2
Date: 2016-06-10
Author: Demetris T. Christopoulos
Maintainer: Demetris T. Christopoulos <dchristop@econ.uoa.gr>
Description: Implementation of methods Extremum Surface Estimator and Extremum Distance Estimator for identifying the inflection point of a convex/concave curve.
License: GPL (>= 2)
LazyLoad: yes
NeedsCompilation: no
Packaged: 2016-06-10 12:10:07 UTC; demetris_ws
Repository: CRAN
Date/Publication: 2016-06-10 18:27:05

## inflection 1.3

=== DESCRIPTION ===
Package: inflection
Type: Package
Title: Finds the Inflection Point of a Curve
Version: 1.3
Date: 2017-05-11
Author: Demetris T. Christopoulos
Maintainer: Demetris T. Christopoulos <dchristop@econ.uoa.gr>
Description: Implementation of methods Extremum Surface Estimator (ESE) and 
 Extremum Distance Estimator (EDE) to identify the inflection point of a curve.
License: GPL (>= 2)
URL: https://CRAN.R-project.org/package=inflection
Imports: parallel, stats, graphics, grDevices
NeedsCompilation: no
Packaged: 2017-05-13 08:13:49 UTC; demetris_ws
Repository: CRAN
Date/Publication: 2017-05-13 10:01:57 UTC

## inflection 1.3.5

=== DESCRIPTION ===
Package: inflection
Type: Package
Title: Finds the Inflection Point of a Curve
Version: 1.3.5
Date: 2019-06-27
Author: Demetris T. Christopoulos
Maintainer: Demetris T. Christopoulos <dchristop@econ.uoa.gr>
Description: Implementation of methods Extremum Surface Estimator (ESE) and 
   Extremum Distance Estimator (EDE) to identify the inflection point of a curve .
   Christopoulos, DT (2014) <arXiv:1206.5478v2 [math.NA]> .
   Christopoulos, DT (2016) <https://veltech.edu.in/wp-content/uploads/2016/04/Paper-04-2016.pdf> .
   Christopoulos, DT (2016) <doi:10.2139/ssrn.3043076> .
License: GPL (>= 2)
URL: https://CRAN.R-project.org/package=inflection
Imports: parallel, stats, graphics, grDevices
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-06-28 11:07:56 UTC; demetris_ws
Repository: CRAN
Date/Publication: 2019-06-28 12:20:16 UTC

## inflection 1.3.6

=== DESCRIPTION ===
Package: inflection
Type: Package
Title: Finds the Inflection Point of a Curve
Version: 1.3.6
Date: 2022-06-15
Author: Demetris T. Christopoulos
Maintainer: Demetris T. Christopoulos <dchristop@econ.uoa.gr>
Description: Implementation of methods Extremum Surface Estimator (ESE) and 
   Extremum Distance Estimator (EDE) to identify the inflection point of a curve .
   Christopoulos, DT (2014) <doi:10.48550/arXiv.1206.5478> .
   Christopoulos, DT (2016) <https://veltech.edu.in/wp-content/uploads/2016/04/Paper-04-2016.pdf> .
   Christopoulos, DT (2016) <doi:10.2139/ssrn.3043076> .
License: GPL (>= 2)
URL: https://CRAN.R-project.org/package=inflection
Imports: parallel, stats, graphics, grDevices
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2022-06-15 12:15:59 UTC; demetris_ws
Repository: CRAN
Date/Publication: 2022-06-15 13:10:02 UTC

## inflection 1.3.7

=== DESCRIPTION ===
Package: inflection
Type: Package
Title: Finds the Inflection Point of a Curve
Version: 1.3.7
Date: 2025-07-17
Authors@R: person("Demetris T.", "Christopoulos", email = "dchristop@econ.uoa.gr", role = c("aut", "cre")) 
Maintainer: Demetris T. Christopoulos <dchristop@econ.uoa.gr>
Description: Implementation of methods Extremum Surface Estimator (ESE) and 
   Extremum Distance Estimator (EDE) to identify the inflection point of a curve .
   Christopoulos, DT (2014) <doi:10.48550/arXiv.1206.5478> .
   Christopoulos, DT (2016) <https://demovtu.veltech.edu.in/wp-content/uploads/2016/04/Paper-04-2016.pdf> .
   Christopoulos, DT (2016) <doi:10.2139/ssrn.3043076> .
License: GPL (>= 2)
URL: https://CRAN.R-project.org/package=inflection
Imports: parallel, stats, graphics, grDevices
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2025-07-17 08:20:02 UTC
Author: Demetris T. Christopoulos [aut, cre]
Packaged: 2025-07-17 07:28:40 UTC; <ce><a7><cf><81><ce><b9><cf><83><cf><84><cf><8c><cf><80><ce><bf><cf><85><ce><bb><ce><bf><cf><82> <ce><94>
